liblua5.2-dev_5.2.4-1.1+b2_i386.deb


Advertisement

Description

liblua5.2-dev - Development files for the Lua language version 5.2

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename liblua5.2-dev_5.2.4-1.1+b2_i386.deb
Package name liblua5.2-dev
Package version 5.2.4
Package release 1.1+b2
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage http://www.lua.org
License -
Maintainer Enrico Tassi <gareuselesinge@debian.org>
Download size 151.20 KB
Installed size 778.00 KB
Lua is a powerful, light-weight programming language designed for extending
applications.  The language engine is accessible as a library, having a C
API which allows the application to exchange data with Lua programs and also
to extend Lua with C functions.  Lua is also used as a general-purpose,
stand-alone language through the simple command line interpreter provided.
This package contains developer resources for using the Lua library.
Install it if you are developing programs which use the Lua C API.

Alternatives

Package Version Architecture Repository
liblua5.2-dev_5.2.4-1.1+b2_amd64.deb 5.2.4 amd64 Debian Main
liblua5.2-dev - - -

Requires

Name Value
libc-dev -
libc6-dev -
liblua5.2-0 = 5.2.4-1.1+b2
libreadline-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblua5.2-dev_5.2.4-1.1+b2_i386.deb
Source Package lua5.2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblua5.2-dev deb package:
    # sudo apt-get install liblua5.2-dev

Files

Path
/usr/include/i386-linux-gnu/lua5.2-deb-multiarch.h
/usr/include/lua5.2/lauxlib.h
/usr/include/lua5.2/lua.h
/usr/include/lua5.2/lua.hpp
/usr/include/lua5.2/luaconf.h
/usr/include/lua5.2/lualib.h
/usr/lib/i386-linux-gnu/liblua5.2-c++.a
/usr/lib/i386-linux-gnu/liblua5.2-c++.so
/usr/lib/i386-linux-gnu/liblua5.2.a
/usr/lib/i386-linux-gnu/liblua5.2.so
/usr/lib/i386-linux-gnu/pkgconfig/lua-5.2-c++.pc
/usr/lib/i386-linux-gnu/pkgconfig/lua-5.2.pc
/usr/lib/i386-linux-gnu/pkgconfig/lua5.2-c++.pc
/usr/lib/i386-linux-gnu/pkgconfig/lua5.2.pc
/usr/lib/i386-linux-gnu/pkgconfig/lua52-c++.pc
/usr/lib/i386-linux-gnu/pkgconfig/lua52.pc
/usr/share/doc/liblua5.2-dev/changelog.Debian.gz
/usr/share/doc/liblua5.2-dev/changelog.Debian.i386.gz
/usr/share/doc/liblua5.2-dev/copyright
/usr/share/lua5.2/version-script

Changelog

2016-07-31 - Aurelien Jarno <aurel32@debian.org>
lua5.2 (5.2.4-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Export _IO_stdin_used in debian/version-script. Closes: #816059.
2015-01-17 - Enrico Tassi <gareuselesinge@debian.org>
lua5.2 (5.2.4-1) unstable; urgency=medium
* Acknowledge NMU.
* Version symbols
* Build c++ version of the library
* New upstream release
2014-10-09 - Matthias Klose <doko@debian.org>
lua5.2 (5.2.3-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Build-depend on libtool-bin. Closes: #761774.
* liblua5.2-dev: Recommend libtool-bin.
2014-01-10 - Enrico Tassi <gareuselesinge@debian.org>
lua5.2 (5.2.3-1) unstable; urgency=medium
* New upstream release (Closes: #734757)
2013-11-25 - Enrico Tassi <gareuselesinge@debian.org>
lua5.2 (5.2.2-3) unstable; urgency=low
* Put ./?.lua in last position in package.path 
2013-09-17 - Enrico Tassi <gareuselesinge@debian.org>
lua5.2 (5.2.2-2) unstable; urgency=low
* Fix .pc to spit -L/usr/lib/$DEB_HOST_MULTIARCH 
* Fix interpreter version used in sample hello world script
(Closes: #704526)
* Fix alternative for luac (Closes: #702133) 
* Remove redundant ./?.lua entry in package.path (Closes: #688679)
* debian-make patch fixed to use MYLDFLAGS when building the .so 
2012-07-23 - Enrico Tassi <gareuselesinge@debian.org>
lua5.2 (5.2.2-1) unstable; urgency=low
* New upstream release
* Packaging moved to git
* Fix watch file
* Call update-alternatives --remove in prerm (thanks lintian) 
2012-07-18 - Enrico Tassi <gareuselesinge@debian.org>
lua5.2 (5.2.1-3) unstable; urgency=low
* Rename lua-deb-multiarch.h into lua5.2-deb-multiarch.h and install it in
/usr/include/$DEB_HOST_MULTIARCH/ to make it available with no extra
-I directive
2012-06-15 - Enrico Tassi <gareuselesinge@debian.org>
lua5.2 (5.2.1-2) unstable; urgency=low
* Install architecture dependent .h file in /usr/lib and fix .pc files
accordingly to fix multiarch issues
2012-05-04 - Enrico Tassi <gareuselesinge@debian.org>
lua5.2 (5.2.1-1) unstable; urgency=low
* New upstream release

See Also

Package Description
liblua5.3-0_5.3.3-1.1_i386.deb Shared library for the Lua interpreter version 5.3
liblua5.3-dev_5.3.3-1.1_i386.deb Development files for the Lua language version 5.3
liblua50-dev_5.0.3-8+b1_i386.deb Main interpreter library for Lua 5.0: static library and headers
liblua50_5.0.3-8+b1_i386.deb Main interpreter library for the Lua 5.0 programming language
libluabind-dev_0.9.1+dfsg-11_i386.deb luabind c++ binding for lua: static library and headers
libluabind-doc_0.9.1+dfsg-11_all.deb luabind c++ binding for lua: documentation files
libluabind-examples_0.9.1+dfsg-11_all.deb luabind c++ binding for lua: example files
libluabind0.9.1v5_0.9.1+dfsg-11_i386.deb luabind c++ binding for lua: runtime library
libluajit-5.1-2_2.1.0~beta3+dfsg-5.1_i386.deb Just in time compiler for Lua - library version
libluajit-5.1-common_2.1.0~beta3+dfsg-5.1_all.deb Just in time compiler for Lua - common files
libluajit-5.1-dev_2.1.0~beta3+dfsg-5.1_i386.deb Just in time compiler for Lua - development files
liblualib50-dev_5.0.3-8+b1_i386.deb Extension library for Lua 5.0: static and headers
liblualib50_5.0.3-8+b1_i386.deb Extension library for the Lua 5.0 programming language
liblucene++-contrib0v5_3.0.7-10+b1_i386.deb Shared library with Lucene++ contributions
liblucene++-dev_3.0.7-10+b1_i386.deb Development files for Lucene++
Advertisement
Advertisement